Bug 188560 - Slab corruption in 2.6.16-1.2118_FC6
Slab corruption in 2.6.16-1.2118_FC6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-11 04:05 EDT by kloczek
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-22 23:10:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kloczek 2006-04-11 04:05:47 EDT
Hardware: Sun v20z SMP box.

Cached on serial console:

Slab corruption: (Not tainted) start=ffff8100d452d548, len=168
Redzone: 0x5a2cf071/0x5a2cf071.
Last user: [<ffffffff80300547>](cfq_free_io_context+0x2f/0x74)

Call Trace: <ffffffff8027bdb5>{check_poison_obj+118}
       <ffffffff8025f0c4>{mempool_alloc+66} <ffffffff8030278b>{cfq_set_request+926}
       <ffffffff8027bf19>{cache_alloc_debugcheck_after+48}
       <ffffffff8030278b>{cfq_set_request+926}
<ffffffff8027c13c>{kmem_cache_alloc+185}
       <ffffffff8030278b>{cfq_set_request+926} <ffffffff802fa532>{get_request+412}
       <ffffffff802fa724>{get_request_wait+31}
<ffffffff80301395>{cfq_add_crq_rb+190}
       <ffffffff80301561>{cfq_insert_request+198}
<ffffffff8025f0c4>{mempool_alloc+66}
       <ffffffff802fabe2>{__make_request+882} <ffffffff8025f0c4>{mempool_alloc+66}
       <ffffffff802f828a>{generic_make_request+545}
<ffffffff80286c50>{__bio_clone+113}
       <ffffffff881330c3>{:raid1:make_request+396} <ffffffff8027ba76>{poison_obj+38}
       <ffffffff8025f0c4>{mempool_alloc+66}
<ffffffff8027c01c>{cache_alloc_debugcheck_after+307}
       <ffffffff8025f0c4>{mempool_alloc+66}
<ffffffff802f828a>{generic_make_request+545}
       <ffffffff802f72ce>{blk_recount_segments+126}
<ffffffff88141c57>{:dm_mod:__map_bio+199}
       <ffffffff88141160>{:dm_mod:clone_bio+37}
<ffffffff88141e0a>{:dm_mod:__split_bio+379}
       <ffffffff881425f2>{:dm_mod:dm_request+341}
<ffffffff802f828a>{generic_make_request+545}
       <ffffffff8810ad32>{:ext3:ext3_get_block+0} <ffffffff802f9921>{submit_bio+186}
       <ffffffff8810ad32>{:ext3:ext3_get_block+0}
<ffffffff80263a7c>{__pagevec_lru_add+202}
       <ffffffff802a300e>{mpage_bio_submit+34}
<ffffffff802a3fd7>{mpage_readpages+329}
       <ffffffff8810ad32>{:ext3:ext3_get_block+0}
<ffffffff80243a54>{bit_waitqueue+56}
       <ffffffff8025fe0f>{bad_range+16}
<ffffffff802616df>{get_page_from_freelist+702}
       <ffffffff80243a54>{bit_waitqueue+56} <ffffffff802618ed>{__alloc_pages+118}
       <ffffffff80262fd5>{__do_page_cache_readahead+288}
<ffffffff8029bd5a>{mntput_no_expire+25}
       <ffffffff80291112>{link_path_walk+211}
<ffffffff80263143>{blockable_page_cache_readahead+86}
       <ffffffff80263316>{page_cache_readahead+214}
<ffffffff8025ce7a>{do_generic_mapping_read+295}
       <ffffffff8025eaa4>{file_read_actor+0}
<ffffffff8025d919>{__generic_file_aio_read+351}
       <ffffffff802dec36>{avc_has_perm+70}
<ffffffff8025d99b>{generic_file_aio_read+52}
       <ffffffff80281ba6>{do_sync_read+199} <ffffffff8028fbbf>{may_open+88}
       <ffffffff80243b06>{autoremove_wake_function+0}
<ffffffff802594b1>{audit_syscall_entry+301}
       <ffffffff80282503>{vfs_read+203} <ffffffff802828df>{sys_read+69}
       <ffffffff8020986c>{tracesys+209}
090: 90 89 d5 9a 00 81 ff ff 6b 6b 6b 6b 6b 6b 6b 6b
Prev obj: start=ffff8100d452d488, len=168
Redzone: 0x170fc2a5/0x170fc2a5.
Last user: [<ffffffff8030278b>](cfq_set_request+0x39e/0x402)
000: 00 00 00 00 00 00 00 00 01 00 00 00 5a 5a 5a 5a
010: 48 d5 0e 74 00 81 ff ff 00 00 00 00 00 00 00 00
Next obj: start=ffff8100d452d608, len=168
Redzone: 0x170fc2a5/0x170fc2a5.
Last user: [<ffffffff8030278b>](cfq_set_request+0x39e/0x402)
000: 00 00 00 00 00 00 00 00 01 00 00 00 5a 5a 5a 5a
010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Comment 1 Dave Jones 2006-06-22 23:10:09 EDT
There were a number of cfq related corruption problems fixed in the run up to
2.6.17.  Reopen this if you can reproduce this on any of the 2.6.17-1.xxxx
kernels, but I'm pretty certain this is fixed.

Note You need to log in before you can comment on or make changes to this bug.